TestMetaObjectCompiler (cpptasks 1.0b5 Test API)
Keywords: net.sf.antcontrib.cpptasks.trolltech.TestMetaObjectCompiler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.trolltech
Class TestMetaObjectCompiler

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sf.antcontrib.cpptasks.compiler.TestAbstractProcessor
                  net.sf.antcontrib.cpptasks.compiler.TestAbstractCompiler
                      net.sf.antcontrib.cpptasks.trolltech.TestMetaObjectCompiler

All Implemented Interfaces:
  junit.framework.Test

    public class TestMetaObjectCompiler

extends TestAbstractCompiler

Tests for Trolltech Meta Object Compiler.

Constructor Summary
`TestMetaObjectCompiler(java.lang.String name)` Constructor.

Method Summary
`protected net.sf.antcontrib.cpptasks.compiler.AbstractProcessor` | `create()` Creates compiler for inherited tests.
`protected java.lang.String` | `getObjectExtension()` Gets default output file extension.
`void` | `testGetIdentfier()` Skip testGetIdentifier.
`void` | `testGetOutputFileName1()` Override inherited test.

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.TestAbstractCompiler
`testCanParseTlb`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.TestAbstractProcessor
`testBid`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestMetaObjectCompiler

    public TestMetaObjectCompiler(java.lang.String name)

  Constructor.

  Parameters:
    `name` - test name

Method Detail

### create

    protected net.sf.antcontrib.cpptasks.compiler.AbstractProcessor create()

  Creates compiler for inherited tests.

  Overrides:
    `create` in class `TestAbstractCompiler`
  Returns:
    AbstractProcessor compiler

### getObjectExtension

    protected java.lang.String getObjectExtension()

  Gets default output file extension.

  Overrides:
    `getObjectExtension` in class `TestAbstractCompiler`
  Returns:
    String output file extension

### testGetIdentfier

    public void testGetIdentfier()

  Skip testGetIdentifier.

  Overrides:
    `testGetIdentfier` in class `TestAbstractProcessor`

### testGetOutputFileName1

    public void testGetOutputFileName1()

  Override inherited test.

  Overrides:
    `testGetOutputFileName1` in class `TestAbstractCompiler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.